सामग्री पर जाएँ

Trellis

इंटीग्रेट करें

मॉडल id trellis
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/trellis?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.02 20 API क्रेडिट · ≈ ₽2.11 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Microsoft इमेज से 3D #stylized

टेक्सचर आकार और मेश सरलीकरण नियंत्रणों वाला सिंगल-इमेज से 3D मेश जनरेटर

Microsoft · 3D

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

3D रूपांतरण के लिए स्रोत इमेज का URL।

उन्नत texture_size · ss_guidance_strength · ss_sampling_steps · slat_guidance_strength · slat_sampling_steps · mesh_simplify · seed
texture_size डिफ़ॉल्ट 1024

टेक्सचर के लिए उपयोग किया जाने वाला रिज़ॉल्यूशन।

डिफ़ॉल्ट 7.5

विरल संरचना बनाते समय उपयोग की जाने वाली मार्गदर्शन तीव्रता।

डिफ़ॉल्ट 12

विरल संरचना बनाने के लिए उपयोग किए गए सैंपलिंग चरणों की संख्या।

डिफ़ॉल्ट 3

संरचित latents बनाते समय उपयोग की जाने वाली मार्गदर्शन तीव्रता।

डिफ़ॉल्ट 12

संरचित latents बनाने के लिए उपयोग किए गए सैंपलिंग चरणों की संख्या।

डिफ़ॉल्ट 0.95

मेश के सरलीकरण को नियंत्रित करने वाला गुणक।

पुनरुत्पाद्य रैंडम निर्माण के लिए उपयोग किया गया सीड।

POST /run/trellis?wait=20 कोटेशन → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/trellis?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Trellis के बारे में

`image_url` से एक इमेज को टेक्सचर वाले 3D मेश में बदलता है। समायोज्य पैरामीटर में संरचना और latent चरणों के लिए गाइडेंस स्ट्रेंथ और सैंपलिंग स्टेप्स, `mesh_simplify` (0.9 to 0.98), तथा 512, 1024 या 2048 का `texture_size` शामिल हैं। `seed` परिणामों को दोहराने योग्य बनाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
3D रूपांतरण के लिए स्रोत इमेज का URL।
seedवैकल्पिक
प्रकारinteger | null
पुनरुत्पाद्य रैंडम निर्माण के लिए उपयोग किया गया सीड।
ss_guidance_strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट7.5
0 – 10
विरल संरचना बनाते समय उपयोग की जाने वाली मार्गदर्शन तीव्रता।
ss_sampling_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
1 – 50
विरल संरचना बनाने के लिए उपयोग किए गए सैंपलिंग चरणों की संख्या।
slat_guidance_strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3
0 – 10
संरचित latents बनाते समय उपयोग की जाने वाली मार्गदर्शन तीव्रता।
slat_sampling_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
1 – 50
संरचित latents बनाने के लिए उपयोग किए गए सैंपलिंग चरणों की संख्या।
mesh_simplifyवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.95
0.9 – 0.98
मेश के सरलीकरण को नियंत्रित करने वाला गुणक।
texture_sizeवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1024
51210242048
टेक्सचर के लिए उपयोग किया जाने वाला रिज़ॉल्यूशन।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "trellis",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
model_mesh
object {url, content_type, file_name, file_size}जनरेट किए गए 3D मेश वाली फ़ाइल।
timings
objectप्रोसेसिंग के समय के माप।

और मॉडल: इमेज से 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/trellis.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt